const { gql } = require("apollo-server-express");

const typeDefs = gql`
  type User {
    id: Int!
    name: String!
    email: String!
    age: Int!
  }

  # Queries
  type Query {
    getAllUsers: [User!]!
    findUser(id: Int!): User
  }

  # Mutations
  type Mutation {
    createUser(name: String!, email: String!, age: Int!): User!
    deleteUser(id: Int!): String
  }
`;

module.exports = { typeDefs };
